=== debian/changelog ===
netmrg (0.20-7.2) unstable; urgency=medium

  * Fix usage of dh_autotools-dev_updateconfig.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Jan 2017 01:06:10 +0100

netmrg (0.20-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * PHP 7.0 transition, based on patch from Ubuntu.  (Closes: #821537)
  * Switch Build-Depends to default-libmysqlclient-dev.  (Closes: #790454)
  * Switch Depends/Recommends to default-mysql-* | virtual-mysql-*.
    (Closes: #848476, #732898)
  * Add Brazilian Portuguese (pr_BR) debconf translation, thanks to
    José de Figueiredo.  (Closes: #771130)
  * Add missing build-{arch,indep} targets.
  * Build with autotools-dev to update config.{sub,guess}.
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Jan 2017 23:15:26 +0100

netmrg (0.20-7) unstable; urgency=low

  * l10n improvements:
    - add Japanese debconf translation (Closes: #718757)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 16 Aug 2013 07:53:14 +0200

netmrg (0.20-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with multiarch net-snmp":
    apply patch from Ubuntu / Colin Watson:

  - Work around configure wanting to know too much detail about where a
    system libsnmp.so is installed rather than trusting the linker.

    (Closes: #709055)

  * Add build-dependency on docbook-xml, otherwise xsltproc tries to download
    the dtd from the net.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 May 2013 13:38:37 +0200

netmrg (0.20-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/netmrg/netmrg.xml":
    install only the template netmrg.xml and not the copy under /etc; 
    .postinst uses the template already, if the "original" is not there,
    .config and .postrm also contain the necessary machinery.
    (Closes: #688499)
  * l10n improvements:
    - add Italian debconf translation, thanks Beatrice Torracca
      (Closes: #665702)
    - fix typos, thanks Daniele Forsi and Christian PERRIER
      (Closes: #662164)
    - convert de.po to UTF-8

 -- gregor herrmann <gregoa@debian.org>  Thu, 04 Oct 2012 18:36:03 +0200

netmrg (0.20-6) unstable; urgency=low

  * Some more minor corrections for nl and da translation in debconf,
    which I forgot last time Closes: 658469

 -- Uwe Steinmann <steinm@debian.org>  Mon, 6 Feb 2012 07:56:37 +0100

netmrg (0.20-5) unstable; urgency=low

  * Fixed typos in debconf tempaltes and unfuzzy translations.
    (Christian Perrier) Closes: #656257
  * Added danish translation (Joe Hansen) Closes: #596466
  * Added dutch translation (Jeroen Schot) Closes: #655337
  * Fixed various lintian warnings

 -- Uwe Steinmann <steinm@debian.org>  Fri, 20 Jan 2012 08:08:28 +0100

netmrg (0.20-4) unstable; urgency=low

  * Added spanish translation (Closes: #559015)
  * Added swedish translation (Closes: #513657)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 1 Dec 2009 09:36:01 +0100

netmrg (0.20-3) unstable; urgency=low

  * Added russian translation (Closes: #556742)

 -- Uwe Steinmann <steinm@debian.org>  Sat, 22 Nov 2009 22:04:36 +0100

netmrg (0.20-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Version rrdtool build-dependency to >= 1.3.1-4 to avoid
    rrdtool segfaults during build. (Closes: #494221)

 -- Thomas Viehmann <tv@beamnet.de>  Fri, 03 Oct 2008 23:03:33 +0200

netmrg (0.20-2) unstable; urgency=low

  * Create temp directory in rrdedit (Closes: #496384)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 28 Aug 2008 16:28:06 +0200

netmrg (0.20-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Fri, 02 May 2008 09:00:22 +0200

netmrg (0.19-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455445)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 19:12:14 +0100

netmrg (0.19-4) unstable; urgency=low

  * netmrg-gather is less verbose when run in cron job to prevent
    sending a mail every five minutes (Closes: #445027)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 03 Oct 2007 22:55:42 +0200

netmrg (0.19-3) unstable; urgency=low

  * do not check if /usr/share/debconf/confmodule is executable
    in postrm, because it isn't. Only check if it is present.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 29 Aug 2007 16:48:32 +0200

netmrg (0.19-2) unstable; urgency=low

  * do not include gettext.h in src/include/common.h because it doesn't
    compile on amd64. include libintl.h instead (closes: #439653)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 29 Aug 2007 15:58:33 +0200

netmrg (0.19-1) unstable; urgency=low

  * New upstream release
  * fixed many lintian errors in deb conf questions
  * fixed linitan error debian-rules-ignores-make-clean-error
  * updated translation of debconf po files (Closes: #429347)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 22 Aug 2007 15:10:21 +0200

netmrg (0.18.2-17) unstable; urgency=low

  * set home of new user netmrg to /var/lib/netmrg
  * added configuration for php5 in apache config file netmrg.conf
  * setting min/max value of graphs no longer fails. Backport from
    version 0.19. (Closes: #412548)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 29 May 2007 12:25:25 +0200

netmrg (0.18.2-16) unstable; urgency=low

  * Added new script linuxpmu.sh to read data from /proc/pmu
  * Fixed error in sql statement in conditions.php because the
    field name 'condition' is a reserved word.
  * Fixed lintian error in netmrg.doc-base by removing empty
    lines from the end of the file

 -- Uwe Steinmann <steinm@debian.org>  Mon, 28 May 2007 12:56:05 +0200

netmrg (0.18.2-15) unstable; urgency=low

  * netmrg_cron.sh doesn't stumple over a stale logfile anymore
    (Closes: #386109)
  * added script to get cpu temperature reported by lmsensors (Closes: #412555)
    many thanks to Francois Gouget for providing this script
  * improved script linux26diskaccess.pl can now also report the number

