=== debian/control ===
Source: netmrg
Section: net
Priority: optional
Maintainer: Uwe Steinmann <steinm@debian.org>
Build-Depends:
 debhelper (>= 5),
 autotools-dev,
 debconf,
 rrdtool (>= 1.3.1-4),
 libxml2-dev,
 default-libmysqlclient-dev,
 libsnmp-dev,
 xsltproc,
 docbook-xsl,
 docbook-xml,
Standards-Version: 3.7.2

Package: netmrg
Architecture: any
Depends:
 adduser,
 rrdtool,
 apache2 | httpd,
 php | php-cgi,
 php-cli,
 php-mysql,
 default-mysql-client | virtual-mysql-client,
 debconf,
 wwwconfig-common,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 default-mysql-server | virtual-mysql-server,
Description: network monitoring tool
 NetMRG is a database-driven network monitoring
 and graphing tool for use on Linux systems. It offers an intuitive
 web-based configuration, customized monitoring capabilities for
 unusual situations, a fast multi-threaded polling application, and
 brilliant graphs rendered by RRDTOOL.
