=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/libsnmp.so))
	confflags := --with-snmp-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH)
else
	confflags :=
endif

config.status: configure
	dh_testdir
	dh_autotools-dev_updateconfig
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/netmrg --localstatedir=/var --libexecdir=/usr/lib $(confflags)


build: build-arch build-indep
build-indep:
build-arch: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/netmrg.sgml > netmrg.1
	(cd debian; xsltproc -''-nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl rrdedit.xml)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f debian/rrdedit.1

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autotools-dev_restoreconfig
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/netmrg.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/netmrg netmrg_share_docdir=/usr/share/doc/netmrg netmrg_share_htmldir=/usr/share/doc/netmrg/html netmrg_wwwdir=/usr/share/netmrg
	mv $(CURDIR)/debian/netmrg/etc/netmrg/netmrg.xml $(CURDIR)/debian/netmrg/usr/share/netmrg/netmrg.xml.sample
	rm -f $(CURDIR)/debian/netmrg/usr/share/doc/netmrg/INSTALL
	rm -f $(CURDIR)/debian/netmrg/usr/share/doc/netmrg/LICENSE
	chmod 744 $(CURDIR)/debian/netmrg/usr/share/netmrg/contrib/bindstats/dnsstats


# Build architecture-independent files here.
binary-indep: build-indep install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k share/doc/ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman $(CURDIR)/debian/rrdedit.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
